Update domain
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { domain, domainError } = await reloop.domain.update("dom_123456789", {6 click_tracking: false,7 open_tracking: true,8 sending_email: true,9});10
11if (domainError) throw domainError;12
13console.log(domain.id, domain.isClickTrackingEnabled);1{2 "object": "domain",3 "id": "con_123456789",4 "domain": "send.example.com",5 "status": "pending",6 "userVerifiedDomain": true,7 "systemVerified": true,8 "customReturnPath": "inbound",9 "trackingSubdomain": "tracking",10 "isClickTrackingEnabled": true,11 "isOpenTrackingEnabled": true,12 "tls": "opportunistic",13 "isTrackingDomain": true,14 "isSendingEmailEnabled": true,15 "isReceivingEmailEnabled": true,16 "verificationFailedReason": "example_verificationFailedReason",17 "dnsRecords": [18 {19 "id": "dns_123456789",20 "recordType": "MX",21 "recordTypeName": "MX",22 "domain": "example.com",23 "name": "@",24 "value": "feedback-smtp.us-east-1.amazonses.com",25 "ttl": "Auto",26 "priority": 10,27 "status": "active",28 "createdAt": "2026-03-30T10:00:00.000Z",29 "updatedAt": "2026-03-30T10:00:00.000Z"30 }31 ],32 "lastVerifiedAt": "2026-03-23T10:00:00.000Z",33 "createdAt": "2026-03-23T10:00:00.000Z",34 "updatedAt": "2026-03-23T10:00:00.000Z",35 "event": "evt_123456789"36}Path Parameters
domain_idstringRequired
Body Parameters
click_trackingboolean
Whether click tracking is enabled
open_trackingboolean
Whether open tracking is enabled
sending_emailboolean
Whether sending email is enabled
receiving_emailboolean
Whether receiving email is enabled
tls"opportunistic" | "enforced"
Possible values: opportunistic | enforced
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.